#! /usr/bin/python
# -*- encoding: utf8 -*-
# Autor: Markus Reinert; markus-reinert.de.vu
# Datum: 30.01.2010
# Beschreibung: Programm zum Vokabeln abfragen, neue Version

# Features gegen über der älteren Version:
# - Einfacheres Einschreiben der Vokabeln
# - Abfragen der Vokabeln in Lektionen

import random
import os

listeVocs = []
listeDerDateien = []

path = "./Vokabeln/"

def abfrage(vocs):
	nochmal = "j"
	while nochmal == "j" or nochmal == "":
		anzahl = 0
		keys = vocs.keys()
		random.shuffle(keys)
		obj = vocs[keys[0]]
		while 1:
			print "Deutsch: " + obj
			oth_lang = raw_input("Fremdsprache: ")		# other language / andere Sprache
			if (oth_lang, obj) in vocs.items():
				print "Richtig!"
				break
			print "Falsch!"
			anzahl = anzahl + 1
			if anzahl == 3:
				print "Richtig wäre: " + keys[0]
				abfrage(vocs)
		nochmal = raw_input("Nochmal [j/n]? ")

for i in os.listdir(path):		# Alle Dateien im Ordner Vokabeln
	if i.endswith(".txt"):			# die mit ".txt" enden, also keine Sicherungskopien oder so sind,
		listeDerDateien.append(i)	# werden an listeDerDateien angehängt.

for f in listeDerDateien:
	listeVocs.append({})
	datei = open(path + f)
	inhalt = datei.readlines()		# Auslesen der Datei
	datei.close()
	for line in inhalt:
		line = line.split(",")		# Zeile nach jedem Komma trennen -> Liste
		for element in line:
			key_, value_ = element.split(":")
			if key_.startswith(" "):	# Leerzeichen und Zeilenumbrüche entfernen
				key_ = key_[1:]
			if value_.startswith (" "):
				value_ = value_[1:]
			if value_.endswith ("\n"):
				value_ = value_[:-1]
			index_ = listeDerDateien.index(f)
			listeVocs[index_][key_] = value_

for f in listeDerDateien:
	print "\nDatei: %s" %(f[:-4],)
	abfrage(listeVocs[listeDerDateien.index(f)])

